Skip to main content
GET
/
v1
/
leaks
Get all leaked credentials
curl --request GET \
  --url https://api.projectdiscovery.io/v1/leaks \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "url": "<string>",
      "username": "<string>",
      "password": "<string>",
      "device_ip": "<string>",
      "hostname": "<string>",
      "os": "<string>",
      "malware_path": "<string>",
      "country": "<string>",
      "log_date": "<string>",
      "hardware_id": "<string>",
      "domain": "<string>",
      "email_domain": "<string>",
      "url_domain": "<string>",
      "fetched_at": "<string>",
      "status": "<string>",
      "user_type": "<string>"
    }
  ],
  "total_leaks": 123,
  "total_pages": 123,
  "total_count": 123,
  "summary": {
    "total_leaks": 123,
    "personal_leaks": 123,
    "employee_leaks": 123,
    "customer_leaks": 123,
    "external_vendor_leaks": 123,
    "organization_leaks": 123
  },
  "group_summary": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

type
enum<string>
default:all

Filter by specific leak type (single value only)

Available options:
all,
personal,
employee,
customer,
external_vendor_leaks,
organization_leaks
domain
string

Filter leaks by specific domain (applies to employee/customer leaks)

email
string

Filter leaks by specific email (can be personal, employee, or customer email from user's authorized results)

Search query to filter results across all fields

limit
number

Number of results per page for pagination

page_number
number

Page number for pagination (starts from 1)

start_date
string<date>

time filter start date

time_range
enum<string>
default:all_time
Available options:
all_time,
current_month,
last_month,
last_3_months,
last_6_months,
last_12_months
end_date
string<date>

time filter end date

sort_by
enum<string>

supported sort fields

Available options:
url,
username,
log_date,
country,
device_ip,
host_username,
hostname,
os,
hardware_id,
malware_path
sort_order
enum<string>

supported sort order (asc or desc)

Available options:
asc,
desc
status
enum<string>

supported status (fixed or open)

Available options:
fixed,
open
group_by
enum<string>

Group results by field - returns group summaries when used without field-specific filtering

Available options:
url,
country,
device_ip,
hostname,
email,
hardware_id
url
string

Filter by specific URL (used with group_by for drill-down)

country
string

Filter by specific country (used with group_by for drill-down)

device_ip
string

Filter by specific device IP (used with group_by for drill-down)

hostname
string

Filter by specific hostname (used with group_by for drill-down)

hardware_id
string

Filter by specific hardware ID (used with group_by for drill-down)

Response

OK

data
object[]
total_leaks
number
total_pages
number
total_count
number
summary
object
group_summary
object[]

Group summary data when group_by parameter is used